Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all translations

Retrieves a paginated list of all translations for the application with optional filtering by parent type and field type

GET/api/v1/{team_slug}/{app_slug}/translations
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
pageinteger

Page number (default is 1)

per-pageinteger

Amount of products per page. Minimum 0 and max 100 (default is 20)

parent-typestring

Filter on parent type. Can be one of product product_bundle product_variant image attribute attribute_value category tag collection file bundle_group

field-typestring

Filter on field type. Can be one of name value description alt title copyright slug meta_title meta_description html_description short_description html_short_description key

Responses
200

Translations

datainternal_pkg_webserver_v1.TranslationDTO[]required
Show properties
Array of internal_pkg_webserver_v1.TranslationDTO
field_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationFieldTyperequired
Allowed:namevaluedescriptionalttitletypecopyrightslugmeta_titlemeta_descriptionhtml_descriptionshort_descriptionhtml_short_descriptionkey
idstring
language_codestringrequired
parent_refstringrequired
parent_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationTyperequired
Allowed:productproduct_bundleproduct_variantchannel_contentimageattributeattribute_valuecategorytagcollectionfilebundle_groupvideobrandvariant_group
translationstringrequired
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/translations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "field_type": "name",
      "id": "string",
      "language_code": "string",
      "parent_ref": "string",
      "parent_type": "product",
      "translation": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}